MMapper Segfault

Here we discussed clients, mappers, tunnels and their settings.
Locked
wiseman
Posts: 23
Joined: Mon Jan 19, 2009 6:51 pm

MMapper Segfault

Post by wiseman » Fri May 14, 2010 12:28 am

Hello,

After a clean install of Ubuntu 10.04 (with Gnome) I am unable to launch MMapper (the latest version). When attempting to run it via the command line it just exits immediately with "Segmentation Fault".

I downloaded the 32-bit .deb file and installed it via the package manager gui. It installed successfully but will not launch.

Any ideas?

wiseman
Posts: 23
Joined: Mon Jan 19, 2009 6:51 pm

Re: MMapper Segfault

Post by wiseman » Fri May 28, 2010 1:24 am

Same issue on a Xubuntu (latest version) fresh install.

Installation goes perfectly, no error messages.

When attempting to launch the app, I get a seg fault with no other info.

Any help?

Kalev
Vala (Mudller)
Posts: 63
Joined: Sat Feb 23, 2008 9:56 pm
Contact:

Re: MMapper Segfault

Post by Kalev » Fri May 28, 2010 12:02 pm

I don't use Ubuntu, but my guess is that you need to recompile the app from source. The binary deb packages distributed in mmapper's page were compiled on an older Ubuntu version and perhaps they don't work on Ubuntu 10.04 any more.

I have another idea because you mentioned that you did a fresh install of Xubuntu. If you like trying out different Linux distros, give Fedora a try. There are packages for both mmapper and powwow available In official Fedora repos, and I'm pretty sure they Just Work.

http://download.fedoraproject.org/pub/f ... 6-Live.iso

Locked